# Method: forms.watches.renew

- [HTTP request](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew#body.request_body)
- [Response body](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew#body.aspect)

Renew an existing watch for seven days. The `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch.FIELDS.state` of the watch after renewal is `ACTIVE`, and the `expireTime` is seven days from the renewal. Renewing a watch in an error state (e.g. `SUSPENDED`) succeeds if the error is no longer present, but fail otherwise. After a watch has expired, watches.renew returns `NOT_FOUND`.

### HTTP request

`POST https://forms.googleapis.com/v1/forms/{formId}/watches/{watchId}:renew`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `formId` | `string` Required. The ID of the Form. |
| `watchId` | `string` Required. The ID of the Watch to renew. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches#Watch`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.readonly`
- `
  https://www.googleapis.com/auth/forms.body`
- `
  https://www.googleapis.com/auth/forms.body.readonly`
- `
  https://www.googleapis.com/auth/forms.responses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).